Skip to main content
POST
Create a real estate shot video job

Authorizations

Authorization
string
header
required

Token-based authentication with required prefix "Token"

Path Parameters

project_id
string<uuid>
required
shot_id
string<uuid>
required

Body

Create one parent shot video job from the scoped project and shot.

Response

Read one user-facing shot video workflow job.

id
string<uuid>
required
read-only
created_at
string<date-time>
required
read-only

Datetime when the record was created.

error_message
string
required
read-only

Error details if job failed.

status
enum<string>
required

Current job status.

  • queued - Queued
  • processing - Processing
  • expired - Expired
  • cancelled - Cancelled
  • completed - Completed
  • failed - Failed
Available options:
queued,
processing,
expired,
cancelled,
completed,
failed
description
string
required
read-only

Human-readable job description.

started_at
string<date-time>
required
read-only

When job processing started.

finished_at
string<date-time> | null
required
read-only

When the job processing successfully finished.

processing_time_seconds
number<double>
required
read-only

Calculate job processing time in seconds. If the job is still processing, calculate time since started. If the job was cancelled, deleted, calculate time until that point. if the job is completed, calculate time until finished.

cost_credits
string<decimal>
required
read-only

Job cost in 🪙 Credits.

Pattern: ^-?\d{0,6}(?:\.\d{0,4})?$
project_real_estate
string<uuid>
required
read-only

Real-estate project whose shot video this job generates.

real_estate_shot
string<uuid>
required
read-only

Real-estate shot whose video this job generates.